=== modified file 'drizzled/message/schema_writer.cc'
--- drizzled/message/schema_writer.cc	2010-05-12 21:58:06 +0000
+++ drizzled/message/schema_writer.cc	2010-08-31 19:24:08 +0000
@@ -25,7 +25,6 @@
 using namespace std;
 using namespace drizzled;
 
-
 int main(int argc, char* argv[])
 {
   GOOGLE_PROTOBUF_VERIFY_VERSION;
@@ -48,6 +47,7 @@
   schema.mutable_engine()->set_name("filesystem");
   schema.set_creation_timestamp(time(NULL));
   schema.set_update_timestamp(time(NULL));
+  schema.set_collation("utf8_general_ci");
 
   fstream output(file_name.c_str(), ios::out | ios::trunc | ios::binary);
 

=== modified file 'tests/r/drizzledump-max.result'
--- tests/r/drizzledump-max.result	2010-08-09 20:51:29 +0000
+++ tests/r/drizzledump-max.result	2010-09-02 06:39:17 +0000
@@ -67,7 +67,7 @@
 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
 
-CREATE DATABASE IF NOT EXISTS `test`;
+CREATE DATABASE IF NOT EXISTS `test` COLLATE = utf8_general_ci;
 
 USE `test`;
 DROP TABLE IF EXISTS `t1`;
@@ -102,7 +102,7 @@
 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
 
-CREATE DATABASE IF NOT EXISTS `test`;
+CREATE DATABASE IF NOT EXISTS `test` COLLATE = utf8_general_ci;
 
 USE `test`;
 DROP TABLE IF EXISTS `t1`;

=== modified file 'tests/r/drizzledump.result'
--- tests/r/drizzledump.result	2010-08-26 23:19:30 +0000
+++ tests/r/drizzledump.result	2010-09-02 06:39:17 +0000
@@ -63,7 +63,7 @@
 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
 
-CREATE DATABASE IF NOT EXISTS `test`;
+CREATE DATABASE IF NOT EXISTS `test` COLLATE = utf8_general_ci;
 
 USE `test`;
 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
@@ -842,7 +842,7 @@
 
 DROP DATABASE IF EXISTS `test`;
 
-CREATE DATABASE IF NOT EXISTS `test`;
+CREATE DATABASE IF NOT EXISTS `test` COLLATE = utf8_general_ci;
 
 USE `test`;
 DROP TABLE IF EXISTS `t1`;

